# Class CreateMetadataAccountArgs

#### Hierarchy

- Data
  - CreateMetadataAccountArgs

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:139

#####
Index

### Constructors

constructor

### Properties

creators
isMutable
name
sellerFeeBasisPoints
symbol
uri

### Methods

serialize
deserialize
serialize
serializeInstructionData

## Constructors

### constructor

- new CreateMetadataAccountArgs(name, symbol, uri, sellerFeeBasisPoints, creators, isMutable): CreateMetadataAccountArgs

- #### Parameters

  - ##### name: string

  - ##### symbol: string

  - ##### uri: string

  - ##### sellerFeeBasisPoints: number

  - ##### creators: Creator[]

  - ##### isMutable: boolean

  #### Returns CreateMetadataAccountArgs

  Overrides Data.constructor

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:142

## Properties

### creators

creators: Creator[]

Inherited from Data.creators

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:49

### isMutable

isMutable: boolean

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:140

### name

name: string

Inherited from Data.name

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:45

### sellerFeeBasisPoints

sellerFeeBasisPoints: number

Inherited from Data.sellerFeeBasisPoints

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:48

### symbol

symbol: string

Inherited from Data.symbol

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:46

### uri

uri: string

Inherited from Data.uri

- Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:47

## Methods

### serialize

- serialize(): Buffer

- #### Returns Buffer

  Overrides Data.serialize

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:193

### `Static` deserialize

- deserialize(data): Data

- #### Parameters

  - ##### data: Buffer

  #### Returns Data

  Inherited from Data.deserialize

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:105

### `Static` serialize

- serialize(name, symbol, uri, sellerFeeBasisPoints, creators, isMutable): Buffer

- #### Parameters

  - ##### name: string

  - ##### symbol: string

  - ##### uri: string

  - ##### sellerFeeBasisPoints: number

  - ##### creators: Creator[]

  - ##### isMutable: boolean

  #### Returns Buffer

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:154

### `Static` serializeInstructionData

- serializeInstructionData(name, symbol, uri, sellerFeeBasisPoints, creators, isMutable): Buffer

- #### Parameters

  - ##### name: string

  - ##### symbol: string

  - ##### uri: string

  - ##### sellerFeeBasisPoints: number

  - ##### creators: Creator[]

  - ##### isMutable: boolean

  #### Returns Buffer

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/splMetadata.ts:172

Generated using TypeDoc